using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Android.App;
using Android.Content;
using Android.OS;
using Android.Runtime;
using Android.Views;
using Android.Widget;
using Com.Syncfusion.Charts;
using Com.Syncfusion.Charts.Enums;

namespace ChartAndroid
{
    class ChartFragment : Fragment
    {        
        public override View OnCreateView(LayoutInflater inflater, ViewGroup container, Bundle savedInstanceState)
        {

            SfChart chart = new SfChart(Activity);
            chart.SetBackgroundColor(Android.Graphics.Color.White);
            chart.Title.Text = "Cash flow by type";
            chart.Legend.Visibility = Visibility.Visible;
            chart.VerticalScrollBarEnabled = true;
            chart.HorizontalScrollBarEnabled = true;

            CategoryAxis primaryAxis = new CategoryAxis();
            primaryAxis.Title.Text = "Month";
            chart.PrimaryAxis = primaryAxis;

            NumericalAxis secondaryAxis = new NumericalAxis();
            secondaryAxis.Title.Text = "Amount (in lakh)";
            chart.SecondaryAxis = secondaryAxis;

            ObservableArrayList data = new ObservableArrayList();
            data.Add(new ChartDataPoint("Jan", 28));
            data.Add(new ChartDataPoint("Feb", 35));
            data.Add(new ChartDataPoint("Mar", 22));
            data.Add(new ChartDataPoint("Apr", 30));

            ObservableArrayList data1 = new ObservableArrayList();
            data1.Add(new ChartDataPoint("Jan", 38));
            data1.Add(new ChartDataPoint("Feb", 25));
            data1.Add(new ChartDataPoint("Mar", 12));
            data1.Add(new ChartDataPoint("Apr", 33));

            ColumnSeries Series1 = new ColumnSeries()
            {
                DataSource = data,
                TooltipEnabled = true,
                AnimationEnabled = true,
                AnimationDuration = 0.2,
                Label = "Income",
            };

            ColumnSeries Series2 = new ColumnSeries()
            {
                DataSource = data1,
                TooltipEnabled = true,
                AnimationEnabled = true,
                AnimationDuration = 0.2,
                Label = "Expenses",
            };
            chart.Series.Add(Series1);
            chart.Series.Add(Series2);

            return chart;
        }        
    }
}